from math import exp

def f(t):
    return (800*t+200)*exp(-0.5*t) + 30

def recherche():
    a = 1.75
    b = 20
    while b-a > 0.1 :
        m = (a+b)/2
        if f(m) > 35:
            a = m
        else:
            b = m
    return b


